Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class IntQuadruple

    java.lang.Object
      edu.stanford.nlp.util.IntTuple
          edu.stanford.nlp.util.IntQuadruple

All Implemented Interfaces:
  Serializable

    public class IntQuadruple

extends IntTuple

See Also:
  Serialized Form

Constructor Summary
`IntQuadruple()`
`IntQuadruple(int src, int mid, int trgt, int trgt2)`

Method Summary
`IntTuple` | `getCopy()`
`int` | `getMiddle()`
`int` | `getSource()`
`int` | `getTarget()`
`int` | `getTarget2()`

Methods inherited from class edu.stanford.nlp.util.IntTuple
`concat, elems, equals, get, getIntTuple, getIntTuple, hashCode, length, print, set, shiftLeft, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntQuadruple

    public IntQuadruple()

### IntQuadruple

    public IntQuadruple(int src,
                        int mid,
                        int trgt,
                        int trgt2)

Method Detail

### getCopy

    public IntTuple getCopy()

  Overrides:
    `getCopy` in class `IntTuple`

### getSource

    public int getSource()

### getMiddle

    public int getMiddle()

### getTarget

    public int getTarget()

### getTarget2

    public int getTarget2()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group